import { HttpClient } from "@angular/common/http";
import { Observable } from "rxjs";
import { AnnotationHistoryAttachment } from "./annotation-history-attachment-dto";
export declare class AnnotationHistoryAttachmentService {
    protected http: HttpClient;
    constructor(http: HttpClient);
    requestUpload(file: any): Observable<any>;
    downloadForDocument(document: AnnotationHistoryAttachment): Observable<any>;
}
